import React from 'react';
import type { ButtonProps } from '@leafygreen-ui/button';
import type { RenderMode } from '@leafygreen-ui/popover';
import { ItemActionButtonSize } from './constants';
import { type MenuAction } from './item-action-menu';
export type DropdownMenuButtonProps<Action extends string> = {
    actions: MenuAction<Action>[];
    onAction(actionName: Action): void;
    renderMode?: RenderMode;
    iconSize?: ItemActionButtonSize;
    isVisible?: boolean;
    activeAction?: Action;
    'data-testid'?: string;
    buttonText: string;
    buttonProps: ButtonProps & React.ButtonHTMLAttributes<HTMLButtonElement>;
    hideOnNarrow?: boolean;
};
export declare function DropdownMenuButton<Action extends string>({ isVisible, actions, onAction, renderMode, activeAction, buttonText, buttonProps, iconSize, 'data-testid': dataTestId, hideOnNarrow, }: DropdownMenuButtonProps<Action>): React.JSX.Element | null;
//# sourceMappingURL=dropdown-menu-button.d.ts.map