import React from 'react';
export declare function getScrollbarStyles(darkMode: boolean): string;
/**
 * Provide styles for overflowing content scrollbars.
 * It takes the theme from the theme context (closest LeafyGreenProvider).
 *
 * We customize scrollbars so that they look similar on all devices.
 * Without custom scrollbars, windows looks a bit wild.
 **/
export declare function useScrollbars(): {
    className: string | undefined;
};
interface WithPortalClassName {
    portalClassName?: string;
}
export declare const withPortalScrollbars: <ComponentProps extends WithPortalClassName>(WrappedComponent: React.ComponentType<ComponentProps & WithPortalClassName>) => (props: ComponentProps) => React.JSX.Element;
export {};
//# sourceMappingURL=use-scrollbars.d.ts.map